%define name	rhs-hadoop-install
%define version	2_47
%define name_vers %{name}-%{version}
%define source	%{name_vers}.tar.gz
# /usr/share/
%define target	%{_datadir}/

Name:		%{name}
Version:	%{version}
Release:	1%{?dist}
Summary:	RHS-hadoop package and installer

Group:		Development/Tools
License:	Apache
Source0:	%{source}
BuildRoot:	%{name}
BuildArch:	noarch

Requires:	bash

%description
Installer for the HDP 2.1 stack.
Prepares RHS (glusterfs) volumes to be ready for Hadoop workloads. It is assumed
that RHS 3.x has been installed per RHS guidelines (eg. RAID6 data partition)
but gluster volumes do not need to be set up. This package supports both new
installations as well as exiting RHS clusters. Note: Hadoop is NOT installed.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{target}%{name}
#install -d %{buildroot}%{_sysconfdir}/yum.repos.d
cp -r %{_builddir}/%{name_vers}/* %{buildroot}%{target}%{name}
# mv repo file to /etc/yum.repos.d/
#mv %{buildroot}%{target}%{name}/rhs-hadoop-beta.repo %{buildroot}%{_sysconfdir}/yum.repos.d

%clean

%files
%defattr(644, root, root, 755)

%{target}%{name}/VERSION
%{target}%{name}/bin/functions
#%{target}%{name}/*.sh
%attr(755, root, root) %{target}%{name}/*.sh
%attr(755, root, root) %{target}%{name}/bin/*.sh
%attr(755, root, root) %{target}%{name}/bin/.cleanup.sh
#%{_sysconfdir}/yum.repos.d/rhs-hadoop-beta.repo

%doc	%{target}%{name}/README.md
#%doc	%{target}%{name}/rhs/README.txt
#%doc	%{target}%{name}/devutils/README.txt

%changelog
* Fri Mar 20 2015 Jeff Vance <jvance@redhat.com> 2_47-1
- Resolves: rhbz#1195072
* Wed Mar 18 2015 Jeff Vance <jvance@redhat.com> 2_45-1
- Resolves: rhbz#1192594, rhbz#1201319, rhbz#1154783, rhbz#1162367,
            rhbz#1200835
- fixes BZs: 1192594, 1201319, 1154783, 1162367, 1200835
* Mon Mar 16 2015 Jeff Vance <jvance@redhat.com> 2_44-2
- fixes BZs: 1196292, 1163669, 1168206, 1201319
* Fri Feb 27 2015 Jeff Vance <jvance@redhat.com> 2_44
- Resolves: rhbz#1195072
* Fri Jan 13 2015 Jeff Vance <jvance@redhat.com> 2_43
- fix BZ 1192594
* Wed Dec 03 2014 Jeff Vance <jvance@redhat.com> 2_42
- fix BZ 1170336
* Wed Dec 03 2014 Jeff Vance <jvance@redhat.com> 2_41
- fix BZ 1154783
* Fri Nov 21 2014 Jeff Vance <jvance@redhat.com> 2_40
- fix BZs: 1166687, 1166712.
* Wed Nov 19 2014 Jeff Vance <jvance@redhat.com> 2_39
- fix BZs: 1145629, 1164338
* Fri Nov 14 2014 Jeff Vance <jvance@redhat.com> 2_38
- fix BZs: 1164338, 1163871
* Wed Nov 12 2014 Jeff Vance <jvance@redhat.com> 2_37
- fix BZs: 1159157, 1162527, 1162677, 1162686
* Mon Nov 10 2014 Jeff Vance <jvance@redhat.com> 2_36
- fix BZs: 1162364, 1162367.
* Thu Oct 30 2014 Jeff Vance <jvance@redhat.com> 2_29
- fix BZ 1159157
* Thu Oct 30 2014 Jeff Vance <jvance@redhat.com> 2_28
- fix BZ 1158997
* Thu Oct 23 2014 Jeff Vance <jvance@redhat.com> 2_27
- fix BZ 1114585
* Mon Oct 20 2014 Jeff Vance <jvance@redhat.com> 2_26
- fix BZ 1154783
* Fri Oct 10 2014 Jeff Vance <jvance@redhat.com> 2_25
- fix rpmdiff issue, fix BZ 1151215
* Wed Oct 08 2014 Jeff Vance <jvance@redhat.com> 2_24
- Major update to core-site file updating, passwordless ssh fix,
  new --force-ambari-update opt in setup_cluster.
* Wed Sep 24 2014 Jeff Vance <jvance@redhat.com> 2_20
- Fixes BZ 1145629, and handles extra attributes in the core-site
  "fs.glusterfs.volumes" property.
* Tue Sep 23 2014 Jeff Vance <jvance@redhat.com> 2_18-1
- Fixes BZ 1142212
* Fri Sep 12 2014 Jeff Vance <jvance@redhat.com> 2_17-1
- Fixes BZs 1141348, 1139458. 
* Mon Sep 08 2014 Jeff Vance <jvance@redhat.com> 2_15-1
- Fixes BZ 1139458.
* Sun Sep 07 2014 Jeff Vance <jvance@redhat.com> 2_14-1
- additional fix for BZ 1131171.
* Thu Sep 04 2014 Jeff Vance <jvance@redhat.com> 2_13-1
- Fixes BZ 1131171.
* Wed Aug 20 2014 Jeff Vance <jvance@redhat.com> 2_11-1
- Fixes BZ 1113609 (again)
* Sun Aug 17 2014 Jeff Vance <jvance@redhat.com> 2_10-1
- Fixes BZ 1113609
* Thu Aug 14 2014 Jeff Vance <jvance@redhat.com> 2_09-1
- Fixes BZ 1114585 and automates yum upgrade openssl on rhel nodes.
* Mon Aug 11 2014 Jeff Vance <jvance@redhat.com> 2_08-1
- Fixes 2 critical issues: 1) core-site vol mount had the volume name
  repeated, 2) core-site volnames list needs the newly enabled vol to
  be first, which is the default volume, in the list.
* Sun Aug 03 2014 Jeff Vance <jvance@redhat.com> 2_03-1
- initial hdp 2.1 version. Fixes BZ 1114585.
